[General]Gestores de paquetes

Conversaciones generales alrededor Sabayon Linux

Moderator: Moderators

Post Reply
upszot
Baby Hen
Posts: 11
Joined: Wed Aug 10, 2011 1:46

[General]Gestores de paquetes

Post by upszot » Mon May 21, 2012 1:07

Hola gente.
Soy nuevo en Sabayon y usuario viejo de Gentoo..
Al tener "emerge" y "equo" me estoy liando un poco en cual usar... de echo algunas veces recaigo en usar emerge por costumbre...
Lo que quisiera saber es lo siguiente.

1. El hecho de compilar algunas cosas con emerge o instalar binarios con equo, afecta de algun modo a la administracion de paquetes? o se centraliza todo en un unico lugar...
Ejemplo: emerjo un paquete X ... esto me lo agregaria en el world , si despues ejecuto un Equo update X ... equo ve la version que se compilo con emerge? o se lia?.

2. En el repositorio de gentoo esta la version 2 del paquete X como estable... pero tras realizar un "emerge --sync && Layman -S && equo upgrade" y despues querer ver si tengo disponible dicha version tanto con equo como con emerge... sigo viendo una version vieja...
Ej: http://packages.gentoo.org/package/www- ... dobe-flash (Estable 11.2.202.235 Pero veo la 11.2.202.233 inestable) .
quise forzar para q vea todas agregando ...

Code: Select all

 sabayon chingolo # egrep  www-plugins/adobe-flash /etc/portage/package.*
/etc/portage/package.keywords:www-plugins/adobe-flash  ~x86
 
pero sigue igual... tambien me llamo la atencion que si ejecuto "equo repo list" solo dice sabayon... tenia entendido que al estar basado en gentoo usaba los repositorios e gentoo y toda la parte de sabayon propiamentedicha caia bajo Layman...

Bueno espero que puedan evacuar mis dudas, y no molestarlos con algo tan basico.

upszot
Baby Hen
Posts: 11
Joined: Wed Aug 10, 2011 1:46

Re: [General]Gestores de paquetes

Post by upszot » Fri Jun 22, 2012 18:35

1 mes mas tarde... 134 visitas y nada...
que pasa con este foro? hay muy poco movimiento..

PD: nadie me tira un cable?

Saludos

abs
Growing Hen
Posts: 180
Joined: Sun Nov 26, 2006 13:46

Re: [General]Gestores de paquetes

Post by abs » Tue Jun 26, 2012 16:39

Buenas,

En principio lo mas adecuado es instalar paquetes con equo, que se habran generado con los flags habituales y propios de la arquitectura que tengas instalada.

Si quieres tener las ultimas ultimas versiones de paquetes añade a layman los overlays "sabayon" y "sabayon-distro" porque ahí es donde suelen estar los paquetes más nuevos. De todos modos tampoco hay que obsesionarse tanto con las versiones, porque en muchos casos hay paquetes que son "estables" en gentoo pero que no van tan bien para sabayon.

Con los años yo he llegado a la conclusión de que para paquetes importantes del sistema sólo es recomendable usar equo. Si quieres seguir usando emerge úsalo para paquetes no esenciales (navegadores, reproductores, utilidades varias ... ).
Si metes todos los paquetes con el emerge, corres el riesgo de encontrarte alguno de gentoo que no sea muy "compatible" o incluso que esté testing y puedes liarla gorda.

Si quieres usar varios overlays en el sistema te recomiendo que uses eix para refrescarlos y hacer búsquedas, simplifica mucho las cosas

upszot
Baby Hen
Posts: 11
Joined: Wed Aug 10, 2011 1:46

Re: [General]Gestores de paquetes

Post by upszot » Thu Jun 28, 2012 22:31

hola abs gracias por responder..

mira el tema no pasa por estar a la ultima con los paquetes, eso lo entiendo y comparto tu opinion.
El problema puntual que estoy teniendo es con el navegador chromium y la reproduccion de videos en flash.

por lo que estuve leyendo la version que se encuentra estable en los repositorios de sabayon tienen un bug...
es por esto, que solamente quisiera marcar el paquete "www-plugins/adobe-flash" para que me instale de la rama de testing ya que supuestamente esta version (si bien en sabayon esta como testing, y tiene un bug de seguridad) soluciona el problema de reproduccion de videos.

algunas Fuentes:
http://www.taringa.net/posts/info/11481 ... UCI_N.html

... pero bueno al querer hacer esto me surgio la duda de arriba.. ya que la idea no es habilitar toda la rama de teting agregando los repositorios de testing "sabayon-limbo" (que es lo q termine haciendo para poder instalar la version mas nueva del paquete)...
sino MARCAR solo ese paquete... para q tome las versiones mayores.... (al gran estilo de gentoo

Code: Select all

 echo "www-plugins/adobe-flash ~x86 "  >> /etc/portage/package/keywords 
)
pero aparentemente esto solo aplica al "emerge" y mi inquietud (justamente como vos decis que lo recomendable es usar equo) es hacerlo para que aplique a equo..


PD: Espero no haberlos mariado...
PD2: apropocito con la version de adobe-flash-11.2.202.236 tambien pinchan las reproducciones de video en crhome

Saludos

abs
Growing Hen
Posts: 180
Joined: Sun Nov 26, 2006 13:46

Re: [General]Gestores de paquetes

Post by abs » Fri Jun 29, 2012 1:26

te refieres a algo como esto???

Atlantis abs # equo unmask adobe-flash
>> ## adobe-flash
>> -> www-plugins/adobe-flash-11.2.202.233
>> Have a nice day.

Atlantis abs # equo unmask adobe-flash-11.2.202.236

>> !!! Atención: adobe-flash-11.2.202.236 no está disponible.


Es que con equo es poco flexible... o el paquete es estable y está en el repo o directamente no está.

Post Reply